### Enumeration

# FwupdPlugin HidItemTag

#### Declaration

    enum FwupdPlugin.HidItemTag

#### Description

No description available.

#### Members

`FU_HID_ITEM_TAG_UNKNOWN`

  No description available.

  - Value: `0`
  - Available since: 1.0
`FU_HID_ITEM_TAG_INPUT`

  No description available.

  - Value: `32`
  - Available since: 1.0
`FU_HID_ITEM_TAG_OUTPUT`

  No description available.

  - Value: `36`
  - Available since: 1.0
`FU_HID_ITEM_TAG_FEATURE`

  No description available.

  - Value: `44`
  - Available since: 1.0
`FU_HID_ITEM_TAG_COLLECTION`

  No description available.

  - Value: `40`
  - Available since: 1.0
`FU_HID_ITEM_TAG_END_COLLECTION`

  No description available.

  - Value: `48`
  - Available since: 1.0
`FU_HID_ITEM_TAG_USAGE_PAGE`

  No description available.

  - Value: `1`
  - Available since: 1.0
`FU_HID_ITEM_TAG_LOGICAL_MINIMUM`

  No description available.

  - Value: `5`
  - Available since: 1.0
`FU_HID_ITEM_TAG_LOGICAL_MAXIMUM`

  No description available.

  - Value: `9`
  - Available since: 1.0
`FU_HID_ITEM_TAG_PHYSICAL_MINIMUM`

  No description available.

  - Value: `13`
  - Available since: 1.0
`FU_HID_ITEM_TAG_PHYSICAL_MAXIMUM`

  No description available.

  - Value: `17`
  - Available since: 1.0
`FU_HID_ITEM_TAG_UNIT`

  No description available.

  - Value: `21`
  - Available since: 1.0
`FU_HID_ITEM_TAG_REPORT_SIZE`

  No description available.

  - Value: `29`
  - Available since: 1.0
`FU_HID_ITEM_TAG_REPORT_ID`

  No description available.

  - Value: `33`
  - Available since: 1.0
`FU_HID_ITEM_TAG_REPORT_COUNT`

  No description available.

  - Value: `37`
  - Available since: 1.0
`FU_HID_ITEM_TAG_PUSH`

  No description available.

  - Value: `41`
  - Available since: 1.0
`FU_HID_ITEM_TAG_POP`

  No description available.

  - Value: `45`
  - Available since: 1.0
`FU_HID_ITEM_TAG_USAGE`

  No description available.

  - Value: `2`
  - Available since: 1.0
`FU_HID_ITEM_TAG_USAGE_MINIMUM`

  No description available.

  - Value: `6`
  - Available since: 1.0
`FU_HID_ITEM_TAG_USAGE_MAXIMUM`

  No description available.

  - Value: `10`
  - Available since: 1.0
`FU_HID_ITEM_TAG_DESIGNATOR_INDEX`

  No description available.

  - Value: `14`
  - Available since: 1.0
`FU_HID_ITEM_TAG_DESIGNATOR_MINIMUM`

  No description available.

  - Value: `18`
  - Available since: 1.0
`FU_HID_ITEM_TAG_DESIGNATOR_MAXIMUM`

  No description available.

  - Value: `22`
  - Available since: 1.0
`FU_HID_ITEM_TAG_STRING_INDEX`

  No description available.

  - Value: `30`
  - Available since: 1.0
`FU_HID_ITEM_TAG_STRING_MINIMUM`

  No description available.

  - Value: `34`
  - Available since: 1.0
`FU_HID_ITEM_TAG_STRING_MAXIMUM`

  No description available.

  - Value: `38`
  - Available since: 1.0
`FU_HID_ITEM_TAG_LONG`

  No description available.

  - Value: `15`
  - Available since: 1.0